Subject: bug#45346: [elpa-archive] :ignored-files is processed to early

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Dec 2020 09:36:11 -0500

>>> It appears that `:ignored-files' is processes before `:renames' and
>>> that that should be changed.
>> Indeed, the renaming is applied last and it's not easy to change that
>> with the approach I use (the renaming is done by `tar` via
>> `--transform`).
>> Maybe I could try and remove the entries after generating the tarball.
>> Hmm...
> IMO it would be better to just do it in lisp and simplify the call to `tar'.

BTW, in the mean time you can work around this by doing the
renames "by hand" in the `:make` rule.

        Stefan